openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Donald Woods <>
Subject OpenJPA 2.0.0-M3 plugins available for Geronimo 2.1.3 thru 2.2-SNAPSHOT servers
Date Thu, 12 Nov 2009 02:45:11 GMT
For those of you wanting to try out JPA2 in Apache Geronimo before the 
JSR-317 spec is finalized and before our 3.0 release, now you can.  I've 
created a set of plugins -
     Geronimo Plugins, OpenJPA2 :: CAR
     Geronimo Plugins, OpenJPA2 :: Deployer
that use the OpenJPA 2.0.0-M3 release [1], which is based on the early 
access JPA 2.0 Public Final Draft #2.


For Geronimo 2.1.3, 2.1.4 and 2.1.5-SNAPSHOT servers, please install the 
2.1.3-M3-SNAPSHOT version of the plugins, while Geronimo 2.2-SNAPSHOT 
users should install the 2.2-M3-SNAPSHOT version.

To install into an existing Tomcat or Jetty Java EE 5 assembly:
1) Start the server and log into the Admin Console -
2) Navigate to Applications -> Plugins
3) In the Install Plugins portlet, choose the installation Repository -
4) Press the "Show Plugins in selected repository" button
     a) Select the following plugins to install for your server version -
         Geronimo Plugins, OpenJPA2 :: CAR
         Geronimo Plugins, OpenJPA2 :: Deployer
     b) Press Install
     c) On the confirmation panel, press Install
     d) Once the plugins are installed, press Done
5) Start the following modules if they are not running -
     a) Navigate to Applications -> System Modules
     b) Verify the following are started or press the "Start" link -
6) Restart the Server, so the loaded JPA 1.0 modules can be replaced 
with the new JPA 2.0 modules.


View raw message